Package org.eclipse.nebula.jface.gridviewer

## Class GridViewerRow

- java.lang.Object
- - ViewerRow
  - - org.eclipse.nebula.jface.gridviewer.GridViewerRow

    public class GridViewerRow
    extends ViewerRow

GridViewerRow is the concrete implementation of the part that represents items in a Grid.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `clone()`
`Color` `getBackground​(int columnIndex)`
`Rectangle` `getBounds()`
`Rectangle` `getBounds​(int columnIndex)`
`int` `getColumnCount()`
`Control` `getControl()`
`int` `getCreationIndex​(int visualIndex)`
`java.lang.Object` `getElement()`
`Font` `getFont​(int columnIndex)`
`Color` `getForeground​(int columnIndex)`
`Image` `getImage​(int columnIndex)`
`Widget` `getItem()`
`ViewerRow` `getNeighbor​(int direction, boolean sameLevel)`
`java.lang.String` `getText​(int columnIndex)`
`TreePath` `getTreePath()`
`int` `getVisualIndex​(int creationIndex)`
`protected boolean` `isColumnVisible​(int columnIndex)` Check if the column of the cell is part of is visible
`void` `setBackground​(int columnIndex, Color color)`
`void` `setFont​(int columnIndex, Font font)`
`void` `setForeground​(int columnIndex, Color color)`
`void` `setImage​(int columnIndex, Image image)`
`void` `setText​(int columnIndex, java.lang.String text)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getBounds

    public Rectangle getBounds​(int columnIndex)

#### getBounds

    public Rectangle getBounds()

#### getColumnCount

    public int getColumnCount()

#### getBackground

    public Color getBackground​(int columnIndex)

#### getFont

    public Font getFont​(int columnIndex)

#### getForeground

    public Color getForeground​(int columnIndex)

#### getImage

    public Image getImage​(int columnIndex)

#### getText

    public java.lang.String getText​(int columnIndex)

#### setBackground

    public void setBackground​(int columnIndex,
                              Color color)

#### setFont

    public void setFont​(int columnIndex,
                        Font font)

#### setForeground

    public void setForeground​(int columnIndex,
                              Color color)

#### setImage

    public void setImage​(int columnIndex,
                         Image image)

#### setText

    public void setText​(int columnIndex,
                        java.lang.String text)

#### getControl

    public Control getControl()

#### getNeighbor

    public ViewerRow getNeighbor​(int direction,
                                 boolean sameLevel)

#### getTreePath

    public TreePath getTreePath()

#### clone

    public java.lang.Object clone()

#### getElement

    public java.lang.Object getElement()

#### getItem

    public Widget getItem()

#### getVisualIndex

    public int getVisualIndex​(int creationIndex)

#### getCreationIndex

    public int getCreationIndex​(int visualIndex)

#### isColumnVisible

    protected boolean isColumnVisible​(int columnIndex)

Check if the column of the cell is part of is visible

Parameters:
  `columnIndex` - the column index
Returns:
  `true` if the column is visible